SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (VPN)  >   OpenSSL Vendors:   OpenSSL.org
OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
SecurityTracker Alert ID:  1024822
SecurityTracker URL:  http://securitytracker.com/id/1024822
CVE Reference:   CVE-2010-4180   (Links to External Site)
Date:  Dec 3 2010
Impact:   Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 0.9.8q, 1.0.0 prior to 1.0.0c
Description:   A vulnerability was reported in OpenSSL. A remote user can cause the ciphersuite to be downgraded.

A remote client user can modify the stored session cache ciphersuite, which may cause the ciphersuite to be downgraded to a weaker one on subsequent connections.

Martin Rex reported reported this vulnerability.

Impact:   A remote user can cause the ciphersuite to be downgraded.
Solution:   The vendor has issued a fix (0.9.8q, 1.0.0c).

The vendor's advisory is available at:

http://openssl.org/news/secadv_20101202.txt

Vendor URL:  openssl.org/news/secadv_20101202.txt (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 13 2010 (Red Hat Issues Fix) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Dec 14 2010 (Red Hat Issues Fix) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Red Hat has issued a fix for Red Hat Enterprise Linux 4.
Dec 14 2010 (Red Hat Issues Fix) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Red Hat has issued a fix for Red Hat Enterprise Linux 5.
Feb 3 2011 (Blue Coat Issues Fix for ProxySG) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Blue Coat has issued a fix for Blue Coat ProxySG.
Mar 3 2011 (HP Issues Fix for HP-UX) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
HP has issued a fix for HP-UX 11.11, 11.23, and 11.31.
May 2 2011 (Oracle Issues Fix for Solaris) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Oracle has issued a fix for Solaris 10.
Aug 15 2011 (Novell Issues Fix for Novell eDirectory) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Novell has issued a fix for eDirectory.
Oct 29 2011 (VMware Issues Fix for ESX) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
VMware has issued a fix for VMware ESX.
Nov 5 2011 (IBM Issues Fix for AIX) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
IBM has issued a fix for AIX 5.3, 6.1, and 7.1.
Nov 8 2011 (HP Issues Fix for HP Integrated Lights-Out) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
HP has issued a fix for HP Integrated Lights-Out 2 and 3.
Mar 23 2012 (Blue Coat Issues Fix for Director) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Blue Coat has issued a fix for Director.
Mar 23 2012 (Blue Coat Issues Fix for ProxyAV) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Blue Coat has issued a fix for ProxyAV.
Mar 23 2012 (Blue Coat Issues Fix for ProxySG) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Blue Coat has issued a fix for ProxySG.
Mar 23 2012 (Blue Coat Issues Fix for PacketShaper) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Blue Coat has issued a fix for PacketShaper.
Sep 26 2012 (Oracle Issues Fix for Sun SPARC Enterprise M-Series) OpenSSL Stored Session Cache Modification Bug May Let Remote Users Downgrade the Ciphersuite
Oracle issues fix for Sun SPARC Enterprise M-Series servers.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2016, SecurityGlobal.net LLC